Last Comment Bug 548788 - [Shredder] Trunk packaging shouting about a missing file: "config/printconfigsetting.py': [Errno 2] No such file or directory"
: [Shredder] Trunk packaging shouting about a missing file: "config/printconfig...
Status: RESOLVED FIXED
[ToDo: (answer) comment 8]
: regression
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla1.9.3a3
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on:
Blocks: 474610 511662
  Show dependency treegraph
 
Reported: 2010-02-26 02:58 PST by Frederic Bezies
Modified: 2012-07-30 12:06 PDT (History)
5 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.4-fixed
.10-fixed


Attachments
(Av1) 2+1 s/topsrcdir/MOZILLA_DIR/ [Checkin: Comment 9 & 20 & 24] (2.08 KB, patch)
2010-02-26 10:06 PST, Serge Gautherie (:sgautherie)
ted: review+
mbeltzner: approval1.9.2.4+
mbeltzner: approval1.9.1.10+
Details | Diff | Splinter Review
(Bv1-CC) Use $(MOZILLA_DIR) instead of $(topsrcdir)/mozilla where possible (4.42 KB, patch)
2010-03-03 05:12 PST, Serge Gautherie (:sgautherie)
no flags Details | Diff | Splinter Review
(Bv1a-CC) Use $(MOZILLA_DIR) instead of $(topsrcdir)/mozilla where possible [Checkin: Comment 15] (4.61 KB, patch)
2010-03-03 05:42 PST, Serge Gautherie (:sgautherie)
standard8: review+
Details | Diff | Splinter Review
(Cv1) rules.mk: use $(MOZILLA_DIR) instead of $(topsrcdir) in tests commands, Indentation nits (7.88 KB, patch)
2010-03-03 05:45 PST, Serge Gautherie (:sgautherie)
ted: review-
Details | Diff | Splinter Review

Description Frederic Bezies 2010-02-26 02:58:13 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.3a2pre) Gecko/20100226 Firefox/3.7a2pre
Build Identifier: 

Even if I cannot run anymore Shredder (it segfaults on start since two days or so), I noticed a packaging bug on trunk.

After a successful build, when in objdir-tb I enter make package, in the remove part, I got this :

Removing unpackaged files...
/usr/bin/python: can't open file '/home/fred/logs/mail/src/config/printconfigsetting.py': [Errno 2] No such file or directory


Reproducible: Always

Steps to Reproduce:
1.See details
2.
3.
Actual Results:  
Shouting about a missing python file.

Expected Results:  
Nothing. Just plain packaging process.

here is my .mozconfig :

#
# See http://www.mozilla.org/build/ for build instructions.
#

export AUTOCONF=autoconf-2.13

ac_add_options --enable-application=mail
mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/../objdir-tb
mk_add_options MOZ_MAKE_FLAGS="-j4"

# Options for ‘configure’ (same as command-line options).
ac_add_options --disable-debug
ac_add_options --disable-tests
ac_add_options --enable-static
ac_add_options --disable-shared
ac_add_options --enable-calendar
Comment 1 Mark Banner (:standard8) (afk until 26th July) 2010-02-26 03:50:00 PST
(In reply to comment #0)
> Even if I cannot run anymore Shredder (it segfaults on start since two days or
> so), I noticed a packaging bug on trunk.

That's bug 546913.
 
> After a successful build, when in objdir-tb I enter make package, in the remove
> part, I got this :
> 
> Removing unpackaged files...
> /usr/bin/python: can't open file
> '/home/fred/logs/mail/src/config/printconfigsetting.py': [Errno 2] No such file
> or directory

Ok, I think I see what's causing this.
Comment 2 Frederic Bezies 2010-02-26 04:00:56 PST
(In reply to comment #1)
> (In reply to comment #0)
> > Even if I cannot run anymore Shredder (it segfaults on start since two days or
> > so), I noticed a packaging bug on trunk.
> 
> That's bug 546913.

Again ? I thought it was fixed. My own shredder build was made on 24 february.

> 
> > After a successful build, when in objdir-tb I enter make package, in the remove
> > part, I got this :
> > 
> > Removing unpackaged files...
> > /usr/bin/python: can't open file
> > '/home/fred/logs/mail/src/config/printconfigsetting.py': [Errno 2] No such file
> > or directory
> 
> Ok, I think I see what's causing this.

Thanks.
Comment 3 Ted Mielczarek [:ted.mielczarek] 2010-02-26 06:56:06 PST
I probably should have used $(MOZILLA_DIR) or something, shouldn't I?
Comment 4 Serge Gautherie (:sgautherie) 2010-02-26 07:23:07 PST
(In reply to comment #3)
> I probably should have used $(MOZILLA_DIR) or something, shouldn't I?

Ah, yeah!
And, while there, there's a |$(topsrcdir)/build/package/wince/make_wince_cab.py| in packager.mk too...
http://mxr.mozilla.org/comm-central/search?string=topsrcdir&case=1&find=%2Finstaller%2F.*%5C.mk
Comment 5 Serge Gautherie (:sgautherie) 2010-02-26 07:30:36 PST
(In reply to comment #4)
> |$(topsrcdir)/build/package/wince/make_wince_cab.py| in packager.mk too...

Added by
http://hg.mozilla.org/mozilla-central/rev/307da4daceb8
Bug 511662, add packaging targets for creating CAB files (for WinCE)
Comment 6 Mark Banner (:standard8) (afk until 26th July) 2010-02-26 08:06:40 PST
Feel free to take, I've been diverted onto other things for a while.
Comment 7 Serge Gautherie (:sgautherie) 2010-02-26 10:06:26 PST
Created attachment 429146 [details] [diff] [review]
(Av1) 2+1 s/topsrcdir/MOZILLA_DIR/
[Checkin: Comment 9 & 20 & 24]
Comment 8 Serge Gautherie (:sgautherie) 2010-02-26 10:24:08 PST
MOZILLA_DIR
http://mxr.mozilla.org/comm-central/search?string=MOZILLA_DIR&case=1
MOZILLA_SRCDIR
http://mxr.mozilla.org/comm-central/search?string=MOZILLA_SRCDIR&case=1
$(topsrcdir)/mozilla
http://mxr.mozilla.org/comm-central/search?string=%5C%24%5C%28topsrcdir%5C%29%2Fmozilla&regexp=on&case=1

Mark, am I right that c-c should be able to use MOZILLA_DIR (almost) everywhere?
Comment 9 Serge Gautherie (:sgautherie) 2010-03-03 02:54:03 PST
Comment on attachment 429146 [details] [diff] [review]
(Av1) 2+1 s/topsrcdir/MOZILLA_DIR/
[Checkin: Comment 9 & 20 & 24]


http://hg.mozilla.org/mozilla-central/rev/3bc1d24c6277


"approval1.9.2.2=?":
Zero risk, build config only.
packager.mk part already applies;
package-name.mk part will be needed if/when bug 474610 lands on m-1.9.2.
Comment 10 Serge Gautherie (:sgautherie) 2010-03-03 05:12:11 PST
Created attachment 430008 [details] [diff] [review]
(Bv1-CC) Use $(MOZILLA_DIR) instead of $(topsrcdir)/mozilla where possible
Comment 11 Serge Gautherie (:sgautherie) 2010-03-03 05:42:37 PST
Created attachment 430012 [details] [diff] [review]
(Bv1a-CC) Use $(MOZILLA_DIR) instead of $(topsrcdir)/mozilla where possible
[Checkin: Comment 15]

Bv1-CC, with a comment fix.
Comment 12 Serge Gautherie (:sgautherie) 2010-03-03 05:45:00 PST
Created attachment 430013 [details] [diff] [review]
(Cv1) rules.mk: use $(MOZILLA_DIR) instead of $(topsrcdir) in tests commands, Indentation nits

*Ease diff with comm-central.
*Later, I'll check if we could merge the 2-3 copies...
Comment 13 Ted Mielczarek [:ted.mielczarek] 2010-03-05 10:07:24 PST
Comment on attachment 430013 [details] [diff] [review]
(Cv1) rules.mk: use $(MOZILLA_DIR) instead of $(topsrcdir) in tests commands, Indentation nits

Please stop randomly reindenting stuff that you don't have to. It doesn't help things.
Comment 14 Mark Banner (:standard8) (afk until 26th July) 2010-03-26 08:01:02 PDT
Comment on attachment 430012 [details] [diff] [review]
(Bv1a-CC) Use $(MOZILLA_DIR) instead of $(topsrcdir)/mozilla where possible
[Checkin: Comment 15]

There's probably a little bit of bitrot in this, but I'm sure you can fix that ;-)
Comment 15 Serge Gautherie (:sgautherie) 2010-03-26 11:06:19 PDT
Comment on attachment 430012 [details] [diff] [review]
(Bv1a-CC) Use $(MOZILLA_DIR) instead of $(topsrcdir)/mozilla where possible
[Checkin: Comment 15]


http://hg.mozilla.org/comm-central/rev/fa976251fb9d
Comment 16 Serge Gautherie (:sgautherie) 2010-03-26 20:30:58 PDT
(In reply to comment #8)
> Mark, am I right that c-c should be able to use MOZILLA_DIR (almost)
> everywhere?

MOZILLA_SRCDIR is c-c specific.
Could we s/MOZILLA_SRCDIR/MOZILLA_DIR/g (with a few nits)?
Comment 17 Justin Wood (:Callek) 2010-03-26 22:05:26 PDT
(In reply to comment #16)
> (In reply to comment #8)
> > Mark, am I right that c-c should be able to use MOZILLA_DIR (almost)
> > everywhere?
> 
> MOZILLA_SRCDIR is c-c specific.
> Could we s/MOZILLA_SRCDIR/MOZILLA_DIR/g (with a few nits)?

Not really.  MOZILLA_SRCDIR is defined from configure and put into autoconf.mk for us. rules.mk is defined at the end of most makefiles, and should certainly be after many var definitions.

MOZILLA_DIR is of course only defined in rules.mk (I'm not opposed to moving it to config.mk for us; but would like m-c to match). if its put into config.mk then I'm ok with this switch, but until then we can only use it in places we should _expect_ rules.mk to already have been defined (such as inside rules.mk itself for places where MOZILLA_SRCDIR is used there for us)
Comment 18 Justin Wood (:Callek) 2010-03-26 22:06:20 PDT
(In reply to comment #17)
> ... rules.mk is defined at the end ...

s/defined/included/
Comment 19 Mike Beltzner [:beltzner, not reading bugmail] 2010-04-05 10:43:47 PDT
Comment on attachment 429146 [details] [diff] [review]
(Av1) 2+1 s/topsrcdir/MOZILLA_DIR/
[Checkin: Comment 9 & 20 & 24]

a=beltzner for 1.9.2.4
Comment 20 Serge Gautherie (:sgautherie) 2010-04-05 16:08:08 PDT
Comment on attachment 429146 [details] [diff] [review]
(Av1) 2+1 s/topsrcdir/MOZILLA_DIR/
[Checkin: Comment 9 & 20 & 24]


http://hg.mozilla.org/releases/mozilla-1.9.2/rev/a138c2d30a58
Comment 21 Mike Beltzner [:beltzner, not reading bugmail] 2010-04-07 13:06:32 PDT
Does that patch apply cleanly for 1.9.1.10? We didn't realize that this affected that branch - had you just forgotten to ask for that approval as well?
Comment 22 Serge Gautherie (:sgautherie) 2010-04-07 14:41:14 PDT
(In reply to comment #21)

> Does that patch apply cleanly for 1.9.1.10? We didn't realize that this

http://mxr.mozilla.org/mozilla1.9.1/search?string=printconfigsetting.py&case=1&find=%2Fmozapps%2Finstaller%2F
The package-name.mk part should apply, the packager.mk part doesn't exist (= irrelevant) on m-1.9.1.

> affected that branch - had you just forgotten to ask for that approval as well?

Bug 474610 went into m-1.9.1. (though noone has complained yet :-|)
No, just asking the second after the first was approved.
Comment 23 Mike Beltzner [:beltzner, not reading bugmail] 2010-04-09 13:20:09 PDT
Comment on attachment 429146 [details] [diff] [review]
(Av1) 2+1 s/topsrcdir/MOZILLA_DIR/
[Checkin: Comment 9 & 20 & 24]

a19110=beltzner
Comment 24 Serge Gautherie (:sgautherie) 2010-04-09 17:09:53 PDT
Comment on attachment 429146 [details] [diff] [review]
(Av1) 2+1 s/topsrcdir/MOZILLA_DIR/
[Checkin: Comment 9 & 20 & 24]


http://hg.mozilla.org/releases/mozilla-1.9.1/rev/905d6efd3da8
Comment 25 Frederic Bezies 2012-07-28 00:39:07 PDT
Long fixed. Closing it ?
Comment 26 Mark Banner (:standard8) (afk until 26th July) 2012-07-30 12:06:14 PDT
Yes, I think this can be closed. In response to comment 8, I don't know the answer - "probably", but any changes should, of course, be in follow-up bugs, as this was fixed ages ago.

Note You need to log in before you can comment on or make changes to this bug.